function [ h_hat_lambda ] = gsp_held_kernel( lambda , varargin)

a=2/3;
h_hat_lambda=zeros(size(lambda));

l1=a;
l2=2*a;
mu=@(x) -1+24*x-144*x.^2+256*x.^3; 

r1ind= lambda>=0 & lambda<l1;
r2ind= lambda>=l1 & lambda<l2;
r3ind= lambda>=l2;

if ~isempty(varargin)
    highpass=varargin{1};
else
    highpass=0;
end

if highpass
    h_hat_lambda=real(sqrt(1-(gsp_held_kernel(lambda)).^2));
else
    h_hat_lambda(r1ind)=1;
    h_hat_lambda(r2ind)=sin(2*pi*mu(lambda(r2ind)/(8*a)));
    h_hat_lambda(r3ind)=0;
end

end

%
%   Url: http://gspbox.sourceforge.net/doc/filter_design/utils/gsp_held_kernel.php

% Copyright (C) 2013 David I Shuman, Nathanael Perraudin.
% This file is part of GSPbox version 0.0.1
%
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.

