function [ h_hat_lambda ] = gsp_regular_kernel( lambda , degree , varargin )

if ~isempty(varargin)
    highpass=varargin{1};
else
    highpass=0;
end

if highpass
    if degree==0
        h_hat_lambda=sin(pi/4*lambda);
    else
        output=sin(pi*(lambda-1)/2);
        for k=2:degree
            output=sin(pi*output/2);
        end
        h_hat_lambda=sin(pi/4*(1+output));
    end
else
    h_hat_lambda=real(sqrt(1-(gsp_regular_kernel(lambda,degree,1)).^2));
end

end
%
%   Url: http://gspbox.sourceforge.net/doc/filter_design/utils/gsp_regular_kernel.php

% Copyright (C) 2013 David I Shuman, Nathanael Perraudin.
% This file is part of GSPbox version 0.0.1
%
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
end
