function [G]=gsp_create_airfoil_graph()
%GSP_CREATE_PATH_GRAPH  Initialize the airfoil graph
%   Usage:  G=gsp_create_airfoil_graph();
%
%   Input parameters:
%         none
%   Output parameters:
%         G     : Graph structure.
%
%   'gsp_create_airfoil_graph()' initializes a graph structure containing
%   the weighted adjacency matrix (G.W), the number of vertices (G.N), the 
%   plotting coordinates (G.coords), and the plotting coordinate limits 
%   (G.coord_limits) of the airfoil mesh graph. All edge weights are equal
%   to 1.
%
%   Url: http://gspbox.sourceforge.net/doc/graphs/specific_graphs/gsp_create_airfoil_graph.php

% Copyright (C) 2013 David I Shuman, Nathanael Perraudin.
% This file is part of GSPbox version 0.0.1
%
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.

%   AUTHOR : David I Shuman.
%   TESTING: 
%   REFERENCE: 

load airfoil
G.N=4253;
A = sparse(i_inds,j_inds,1,4253,4253);
G.W = A + A';
G.coords=[x,y];
G.coord_limits=[-1e-4,-1e-4;1.01*max(x),1.01*max(y)];


