function [f_hat]=gsp_gft(f,U)
%GSP_GFT  Graph Fourier transform
%   Usage:  f_hat=gsp_gft(f,U);
%
%   Input parameters:
%         f          : Graph signal.
%         U          : Fourier basis (usually graph Laplacian eigenvectors)
%   Output parameters:
%         f_hat      : Graph Fourier transform of f.
%
%   'gsp_gft(f,U)' computes a graph Fourier transform of the signal f with respect
%   to the Fourier basis U
%
%      f_hat = U* f 
%
%   See also:  
%
%   Demos:  
% 
%
%
%   Url: http://gspbox.sourceforge.net/doc/operators/gsp_gft.php

% Copyright (C) 2013 David I Shuman, Nathanael Perraudin.
% This file is part of GSPbox version 0.0.1
%
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.

%   AUTHOR : David I Shuman.
%   TESTING: 
%   REFERENCE:
  

f_hat=U'*f;
